Bug 15256 - Items table on detail page can be broken
Summary: Items table on detail page can be broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Target Milestone: Oldversions
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 14354 14966
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 17:08 UTC by Jonathan Druart
Modified: 2018-12-16 19:42 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15256: Fix items table display on the detail page (2.25 KB, patch)
2015-11-25 17:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15256: Fix items table display on the detail page (2.45 KB, patch)
2015-11-26 21:04 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 15256: Fix items table display on the detail page (2.52 KB, patch)
2015-11-26 23:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-11-25 17:08:32 UTC
Bug 14966 fixed a bug bug introduced another one:
With IndependentBranches set to 'prevent', if the librarian (without the superlibrarian permission) can edit items but not all, the table is broken.
DataTables raises the following warning:
"DataTables warning: table id=DataTables_Table_1 - Requested unknown
parameter '8' for row0."

And does not display correctly.
Comment 1 Jonathan Druart 2015-11-25 17:11:41 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-11-25 17:15:35 UTC
@RM 3.20: Should be backported.
@RM 3.18: Should be backported with bug 14966.
Comment 3 Frédéric Demians 2015-11-26 21:04:08 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-11-26 23:12:23 UTC
Created attachment 45207 [details] [review]
[PASSED QA] Bug 15256: Fix items table display on the detail page

Bug 14966 fixed a bug but introduced another one: With
IndependentBranches set to 'prevent', if the librarian (without the
superlibrarian permission) can edit items but not all, the table is
broken.  DataTables raises the following warning: "DataTables warning:
table id=DataTables_Table_1 - Requested unknown parameter '8' for row0."
And does not display correctly.

Test plan:
1/ Create a biblio record with 1+ items located in different places.
2/ Create/use a patron with the permission to edit items
3/ Set the IndependentBranches pref to 'prevent'
4/ With this patron logged in, go on the record detail page.
Without this patch, the display is broken (only 1 edit link and 1 td
missing, DataTables raises a warning).
With this patch, the display is correct.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
  See the warning, and the broken table. Solved by this patch.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Kyle M Hall 2015-12-04 14:15:19 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 6 Julian Maurice 2015-12-07 10:03:17 UTC
Patch pushed to 3.22.x, will be in 3.22.1
Comment 7 Frédéric Demians 2015-12-07 13:13:29 UTC
This patch has been pushed to 3.20.x, will be in 3.20.7.
Comment 8 Liz Rea 2016-01-06 21:03:40 UTC
Pushed to 3.18.13, and released.